Name:           linux-enable-ir-emitter
Version:        5.2.4
Release:        1%{?dist}
Summary:        Tool to enable infrared emitters on Linux

License:        MIT
URL:            https://github.com/EmixamPP/%{name}
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  g++
BuildRequires:  gtk3-devel
BuildRequires:  opencv-devel
Requires:  opencv-videoio
Requires:  opencv-highgui
BuildRequires:  coin-or-Clp-devel
BuildRequires:  systemd-rpm-macros

%description
Provides support for infrared cameras that are not directly enabled out-of-the box.
The purpose is to activate the emitter when the infrared camera is called.

%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/

%check
%meson_test


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_unitdir}/%{name}.service
%{_sysconfdir}/%{name}


%changelog
* Fri Jun 07 2024 Maxim Raznatovski <nda.mr43@gmail.com>
- 
